<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-design-overview.qdoc -->
  <title>Designing User Interfaces | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Designing User Interfaces</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-project-managing-sessions.html" />
  <link rel="next" href="creator-visual-editor.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-project-managing-sessions.html">Managing Sessions</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-visual-editor.html">Developing Qt Quick Applications</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Designing User Interfaces</h1>
<span class="subtitle"></span>
<!-- $$$creator-design-mode.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_designinguserinterface.png" alt="" /></p><p>Qt Creator provides integrated visual editors for designing Qt Quick and widget-based applications in the Design mode. The integration includes project management and code completion.</p>
<ul>
<li><a href="creator-visual-editor.html">Developing Qt Quick Applications</a><p>You can use wizards to create Qt Quick projects containing boiler-plate code that you can edit in the Design mode.</p>
</li>
<li><a href="creator-using-qt-designer.html">Developing Widget Based Applications</a><p>Widgets and forms created with Qt Designer are integrated seamlessly with programmed code by using the Qt signals and slots mechanism that allows you to easily assign behavior to graphical elements. All properties set in Qt Designer can be changed dynamically within the code. Furthermore, features such as widget promotion and custom plugins allow you to use your own widgets with Qt Designer.</p>
</li>
<li><a href="creator-usability.html">Optimizing Applications for Mobile Devices</a><p>Mobile devices have been designed for use when mobile. Keep the characteristics of mobile devices in mind when you create applications for them.</p>
</li>
</ul>
</div>
<!-- @@@creator-design-mode.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-project-managing-sessions.html">Managing Sessions</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-visual-editor.html">Developing Qt Quick Applications</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
